Bug 3715 - Syntax error in OPTIMIZE_HIGH macro
: Syntax error in OPTIMIZE_HIGH macro
Status: RESOLVED FIXED
Product: Atmel Software Framework
sam
: 3.31.0
: All Standalone
: normal priority minor (vote)
: ---
Assigned To: ASF Maintainers
:
:
:
:
  Show dependency treegraph
 
Reported: 2016-05-12 21:19 CEST by Peter D. Gray
Modified: 2016-06-23 04:22 CEST (History)
1 user (show)

See Also:
Public Description:
Development Branch:
Whiteboard:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Peter D. Gray 2016-05-12 21:19:03 CEST
In sam0/utils/compiler.h near line 958:

#   define OPTIMIZE_HIGH __attribute__((optimize(s)))

needs to be:

#   define OPTIMIZE_HIGH __attribute__((optimize("s")))

Note double quotes.
Comment 1 Peter D. Gray 2016-05-12 21:19:47 CEST
Compiler is:

gcc version 5.2.1 20151202 (release) [ARM/embedded-5-branch revision 231848]
(GNU Tools for ARM Embedded Processors) 

Earlier (4?) version of GCC may not show this issue.
Comment 2 zheng wang 2016-05-13 04:58:12 CEST
Studio is using 4.xxx.
If #   define OPTIMIZE_HIGH __attribute__((optimize("s"))) will work for older
version too. We will change it.
An internal ticket ASFP-6052 has been created for this.
Comment 3 zheng wang 2016-06-23 04:22:38 CEST
The issue has been fixed and will be released in next version of ASF.